%define pkgname control-center
%define lib_major	1
%define libname	%mklibname gnome-window-settings %{lib_major}
%define libnamedev %mklibname -d gnome-window-settings
%define name    gnome-control-center
%define version 2.32.0
%define release %mkrel 1

Summary: GNOME control center
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
License: GPLv2+
Group: Graphical desktop/GNOME
BuildRequires:  evolution-data-server-devel
BuildRequires:	gnome-desktop-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:  libmetacity-private0-devel
BuildRequires:  nautilus-devel
BuildRequires:  libxklavier-devel
BuildRequires:  libxxf86misc-devel                                             
BuildRequires:  gnome-menus-devel
BuildRequires:  libgstreamer0.10_0.10-devel
BuildRequires:  libxscrnsaver1-devel
BuildRequires:	hal-devel
BuildRequires:	libgnomekbd-devel
BuildRequires:  gnome-panel-devel
BuildRequires:  gnome-settings-daemon-devel
BuildRequires:	policykit-gnome-devel
BuildRequires:  librsvg-devel                                                   
BuildRequires:  libcanberra-devel
BuildRequires:  desktop-file-utils
BuildRequires:  scrollkeeper
BuildRequires:	autoconf
BuildRequires:  gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	shared-mime-info
BuildRequires:  gnome-common
BuildRequires:	gettext-devel
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
Source1: backgrounds.xml
Patch1: gnome-control-center-2.27.3-fix-format-strings.patch
Patch2: gnome-control-center-2.19.91-naming.patch
Patch3: gnome-control-center-2.27.90-menulocation.patch
Patch4: gnome-control-center-2.23.6-forcedpi.patch
Patch5: gnome-control-center-2.27.90-passwd.patch
Patch6: gnome-control-center-2.30.0-gecos.patch
Patch7: gnome-control-center-2.31.91-fix-markup.patch
Patch8: gnome-control-center-2.28.1-mdk-backgrounds.patch
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Requires: gstreamer0.10-plugins-base
Requires: gstreamer0.10-plugins-good
Requires: gnome-settings-daemon >= 2.21.5
Obsoletes: %{pkgname}
Provides: %{pkgname}
Obsoletes: themus
Provides: themus
Obsoletes: fontilus
Provides: fontilus
Obsoletes: drwright
Provides: drwright
Obsoletes: metatheme
Provides: metatheme
Obsoletes: metacity-setup
Provides: metacity-setup
Obsoletes: %{name}-plus
Obsoletes: xalf
Provides: xalf
Provides: %{name}-plus

BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org/softwaremap/projects/control-center/

Requires(post): shared-mime-info desktop-file-utils
Requires(postun): shared-mime-info desktop-file-utils

%description
GNOME Control-center is a configuration tool for easily
setting up your GNOME environment.

%description -l de
GNOME Control Center GNOME Control-Center ist ein 
Konfigurationswerkzeug zum einfachen Einrichten Ihrer GNOME-Umgebung. 

#french
%description -l fr
GNOME Control-Center est un outil de configuration pour facilement
la configuration de votre environnement GNOME.

#spanish
%description -l es
El control-center es una herramienta para una configuración facilitada
el entorno GNOME.

#polish
%description -l pl
Narzędzie do łatwej konfiguracji środowiska GNOME.

#serbian
%description -l sr
Гном Контролни центар је алатка за лако
постављање Гном окружење.

#dutch
%description -l nl
GNOME control-center is een configuratie-tool voor het eenvoudig
het instellen van de GNOME-omgeving.



%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries

Provides:	libgnome-window-settings = %{version}-%{release}

%description -n %{libname}
Dynamic libraries used by GNOME Control Center

%description -n %{libname} -l de
Dynamische Bibliothek benötigt von GNOME Control Center.


%package -n %{libnamedev}
Summary:	Static libraries, include files for GNOME control center
Group:		Development/GNOME and GTK+

Provides:	libgnome-window-settings-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes: %mklibname -d gnome-window-settings 1

%description -n %{libnamedev}
Static libraries, include files for GNOME Control Center

%description -n %{libnamedev} -l de
Statische Bibliothek benötigte Dateien für GNOME Control Center.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1


%build
autoreconf -fis
%configure2_5x --enable-aboutme 

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std UPDATE_MIME_DATABASE=true
rm -f %buildroot%_datadir/applications/mimeinfo.cache

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="PersonalSettings" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --remove-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/at-properties.desktop 

perl -pi -e "s|NoDisplay=true|NoDisplay=false|" %buildroot%{_datadir}/applications/gnomecc.desktop


%{find_lang} %{pkgname}-2.0 --with-gnome --all-name
for omf in $(ls %buildroot%_datadir/omf/*/*.omf|fgrep -v -- -C.omf);do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %{pkgname}-2.0.lang
done


mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties/

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_libdir}/window-manager-settings/*.{la,a} \
 $RPM_BUILD_ROOT%{_libdir}/control-center-1/*/*.{la,a} \
 $RPM_BUILD_ROOT%{_datadir}/applications/mimeinfo.cache \
 $RPM_BUILD_ROOT/var/lib/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
%define schemas control-center gnome-control-center

%post_install_gconf_schemas %schemas
%{update_menus}
%update_desktop_database
%update_icon_cache hicolor
%update_mime_database

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%{clean_menus}
%clean_desktop_database
%clean_icon_cache hicolor
%clean_mime_database

%post -n %{libname}
/sbin/ldconfig 

%postun -n %{libname}
/sbin/ldconfig


%files -f %{pkgname}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README
%{_sysconfdir}/gconf/schemas/control-center.schemas
%{_sysconfdir}/gconf/schemas/gnome-control-center.schemas
%{_sysconfdir}/gconf/schemas/fontilus.schemas
%config(noreplace) %{_sysconfdir}/xdg/menus/gnomecc.menu
%config(noreplace) %{_sysconfdir}/xdg/autostart/gnome-at-session.desktop
%_bindir/gnome-about-me
%_bindir/gnome-appearance-properties
%_bindir/gnome-at-mobility
%_bindir/gnome-at-properties
%_bindir/gnome-at-visual
%_bindir/gnome-control-center
%_bindir/gnome-default-applications-properties
%_bindir/gnome-display-properties
%_bindir/gnome-font-viewer
%_bindir/gnome-keybinding-properties
%_bindir/gnome-keyboard-properties
%_bindir/gnome-mouse-properties
%_bindir/gnome-network-properties
%_bindir/gnome-thumbnail-font
%_bindir/gnome-typing-monitor
%_bindir/gnome-window-properties
%_libdir/window-manager-settings/libmetacity.so
%_sbindir/gnome-display-properties-install-systemwide
%_datadir/polkit-1/actions/org.gnome.randr.policy
%_datadir/icons/hicolor/*/*/*
%{_datadir}/gnome-background-properties
%{_datadir}/applications/*
%{_datadir}/desktop-directories/*
%_datadir/gnome-control-center/
%dir %_datadir/gnome/cursor-fonts/
%_datadir/gnome/cursor-fonts/*
%_datadir/mime/packages/gnome-theme-package.xml
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*-C.omf

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgnome-window-settings.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-, root, root)
%doc ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*a
%{_libdir}/pkgconfig/*
%_datadir/pkgconfig/*


%changelog
* Wed Sep 29 2010 Texstar <texstar at gmail.com> 2.32.0-1pclos2010
- 2.32.0

* Mon Jun 21 2010 Texstar <texstar at gmail.com> 2.30.1-2pclos2010
- rebuild against updated evolution-data-server

* Mon Apr 26 2010 Texstar <texstar at gmail.com> 2.30.1-1pclos2010
- 2.30.1

* Thu Dec 24 2009 Texstar <texstar at gmail.com> 2.28.1-3pclso2010
- rebuild

* Thu Dec 17 2009 Texstar <texstar at gmail.com> 2.28.1-2pclos2010
- update and rebuild

* Fri Oct 23 2009 siamer <siamer@wp.pl> 2.28.1-1pclos2010
- new version 2.28.1


